NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_moduleload(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_moduleload - Load binary module and initialize it

## Table Of Contents

## Synopsis

- ns_moduleload ?-global? ?-init init? module file

## Description

This command to be used during server initialization to load binary modules. The usual way to specify them in the config file.

## COMMANDS

ns_moduleload ?-global? ?-init init? module file

  -global Load globally, not into virtual server -init init Specify alternative initialization function, by default it is Ns_ModuleInit module module name file Full path to the module binary file

## See Also

nsd

## Keywords

NaviServer